Subject: Re: [regext] AD Review: draft-ietf-regext-rdap-object-tag

From: Adam Roach <[email-masked]>
Date: Sat, 14 Jul 2018 14:37:17 -0400

On 6/6/18 06:56, Hollenbeck, Scott wrote:
>> -----Original Message-----
>> From: Adam Roach <[email-masked]>
...
>>>> I read the text as calling for implementors to concatenate "XXXX-YYYY"
>>>> to the
>>>> end of the IANA-registered base URL ("https://example.com/rdap/"),
>>>> resulting in "https://example.com/rdap/XXXX-YYYY". The example instead
>>>> shows "https://example.com/rdap/entity/XXXX-YYY". Is the inclusion of
>>>> "entity/" in this example an error?
>>> No, it's not an error. That’s the path segment that 7482 describes for
>> entity queries. I can see how my text above might be confusing, though, so
>> how about this wording instead?
>>> OLD:
>>> "The base RDAP URL is concatenated to the entity handle to create a
>> complete RDAP query path segment of "https://example.com/rdap/entity/XXXX-
>> YYYY""
>>> NEW:
>>> "The RDAP query URL is formed using the base RDAP URL and entity path
>> segment described in Section 3.1.5 of RFC 7482, using "XXXX-YYY" as the
>> value of the handle identifier. The complete RDAP query URL becomes
>> "https://example.com/rdap/entity/XXXX-YYYY"."
>>
>> That seems good.
>>
>> Thanks for the explanations. Based on what you've said, I think this is
>> ready for IETF last call -- you can treat my comment for clarification
>> of the example as an IETF last call comment, and address it along with
>> any other feedback you receive during last call.
> Will do - thanks!

IETF Last Call has concluded, and I didn't see any other comments that 
would necessitate changes in the document. Just to make sure we're on 
the same page, I'm waiting on a -04 version of the document reflecting 
the above change prior to asking for the IESG to ballot on the document. 
Let me know if that's not what you expect.

/a

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Sun, 15 Jul 2018 19:43:12 +0000

> Sent: Saturday, July 14, 2018 2:37 PM
> To: Hollenbeck, Scott <[email-masked]>; Hollenbeck, Scott
> <[email-masked]>; [email-masked]' <[email-masked]>; 'draft-
> [email-masked]' <draft-ietf-regext-rdap-
> [email-masked]>
> Subject: [EXTERNAL] Re: [regext] AD Review: draft-ietf-regext-rdap-object-
> tag
>
> ....
> >>>> resulting in "https://example.com/rdap/XXXX-YYYY". The example
> >>>> instead shows "https://example.com/rdap/entity/XXXX-YYY". Is the
> >>>> inclusion of "entity/" in this example an error?
> >> entity queries. I can see how my text above might be confusing,
> >> though, so how about this wording instead?
> >>> OLD:
> >> segment described in Section 3.1.5 of RFC 7482, using "XXXX-YYY" as
> >> the value of the handle identifier. The complete RDAP query URL
> >> becomes "https://example.com/rdap/entity/XXXX-YYYY"."
> >>
> >> That seems good.
> >>
> >> Thanks for the explanations. Based on what you've said, I think this
> >> is ready for IETF last call -- you can treat my comment for
> >> clarification of the example as an IETF last call comment, and
> >> address it along with any other feedback you receive during last call.
> > Will do - thanks!
>
> would necessitate changes in the document. Just to make sure we're on the
> same page, I'm waiting on a -04 version of the document reflecting the
> above change prior to asking for the IESG to ballot on the document.

Thanks. Yes, I'll update it in the next day or so.

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Sun, 15 Jul 2018 22:11:48 +0000

> Subject: [EXTERNAL] Re: [regext] AD Review: draft-ietf-regext-rdap-object-

[snip]

> Let me know if that's not what you expect.

The document has just been updated.

Scott

---

From: Adam Roach <[email-masked]>
Date: Sun, 15 Jul 2018 18:25:42 -0400

Thanks! I have issued an IESG ballot for this document, and it will be 
scheduled on the next available telechat (which is to say, the next 
telechat that has not exceeded its maximum page count).

/a